#
# spec file for package ncmpcpp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           ncmpcpp
Version:        0.6.1
Release:        1.3
Summary:        Music Player Daemon Client
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Players
Url:            http://unkart.ovh.org/ncmpcpp/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  boost-devel
BuildRequires:  curl-devel
BuildRequires:  fftw-devel
BuildRequires:  gcc-c++
BuildRequires:  libmpdclient-devel
BuildRequires:  libtag-devel
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  readline-devel
Requires:       mpd > 0.16
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Ncmpcpp is almost exact clone of ncmpc but it contains some new features ncmpc doesn't have.
It's been also rewritten from scratch in C++. Lack of some function (eg. tag editor)
eventually pushed me to rewrite it as ncmpcpp and include these functions in it.

%prep
%setup -q

%build
%configure --enable-clock --enable-visualizer
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
# install bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 0644 doc/ncmpcpp-completion.bash %{buildroot}%{_sysconfdir}/bash_completion.d/ncmpcpp.sh
rm -rf "%{buildroot}%{_datadir}/doc"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS doc/config doc/bindings
%{_bindir}/ncmpcpp
%{_sysconfdir}/bash_completion.d/ncmpcpp.sh
%doc %{_mandir}/man1/ncmpcpp.1%{ext_man}

%changelog
* Sun Nov 30 2014 fisiu@opensuse.org
- Update to 0.6.1:
  * new features and bugfixes
* Sat May 19 2012 seife+obs@b1-systems.com
- new upstream version 0.5.10
  * builds with gcc 4.7 (Factory)
  * new features, see manpage
* Sat Jan 15 2011 detlef@links2linux.de
- new upstream version <0.5.6>
  * settings: make displaying 'empty tag' entry optional
  * bugfixes
* Thu Aug  5 2010 pascal.bleser@opensuse.org
- update to 0.5.4
- add curl, taglib and fftw support
* Thu Jul 23 2009 detlef@links2linux.de
- new upstream version <0.3.5>
* Sat Nov  1 2008 detlef@links2linux.de
- initial build for PackMan
